/*
 * GBuffer
 */

#version 420

//in vec3 position;
in vec3 normal;
in vec2 tc;

uniform sampler2D KaTex;
uniform vec3 Ka;
uniform mat4 mvp;


layout(location=0)out vec3 outNormal;
layout(location=1)out vec3 outMaterial;
//layout(location=2)out vec3 outPosition;

void main() {
    //outPosition=position;
    outNormal=normal;
    outMaterial=Ka+texture(KaTex,tc).rgb;
}
